> ## Documentation Index
> Fetch the complete documentation index at: https://developer.kyckr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lite Profile

> Retrieving a basic company profile. You will need the code field (this can be retrieved from the company search by name), ISO country code of the registry and registration authority code (where populated). From this you will be able to retrieve a lite profile for the chosen company and validate basic information. 



## OpenAPI

````yaml /openapi/company_v1.yaml get /lite/profile/{countryISO}/{companyCode}
openapi: 3.0.1
info:
  title: Kyckr Companies V1 API
  description: |
    Kyckr Companies V1 API
  version: '1.0'
  contact:
    name: Kyckr APIs
    email: support@kyckr.com
servers:
  - url: https://rest.kyckr.com
    description: Production
  - url: https://rest.kyckr.com/test
    description: Test
security:
  - apiKey: []
tags:
  - name: Account
  - name: Company Profile
  - name: Company Search
  - name: Price
  - name: Registry Documents
  - name: UBO Verify
  - name: Lite
paths:
  /lite/profile/{countryISO}/{companyCode}:
    parameters:
      - $ref: '#/components/parameters/countryISO'
      - $ref: '#/components/parameters/companyCode'
    get:
      tags:
        - Lite
      summary: Lite Profile
      description: >-
        Retrieving a basic company profile. You will need the code field (this
        can be retrieved from the company search by name), ISO country code of
        the registry and registration authority code (where populated). From
        this you will be able to retrieve a lite profile for the chosen company
        and validate basic information. 
      operationId: Profile
      parameters:
        - $ref: '#/components/parameters/regAuth'
        - $ref: '#/components/parameters/orderRef'
      responses:
        '200':
          $ref: '#/components/responses/LiteProfile'
components:
  parameters:
    countryISO:
      name: countryISO
      description: 2-digit ISO country code
      in: path
      required: true
      schema:
        type: string
      example: IE
    companyCode:
      name: companyCode
      in: path
      required: true
      schema:
        type: string
      description: Retrieved from search results "codeField" attribute
      example: GB12485372
    regAuth:
      name: regAuth
      in: query
      schema:
        type: string
      description: Registration Authority string from search query
      example: ITTO
    orderRef:
      name: orderRef
      in: query
      schema:
        type: string
      description: Optional client order reference
      example: kyckr_order_123
  responses:
    LiteProfile:
      description: >-
        In this example, we are retrieving a lite company profile for a company
        called Kyckr in Ireland. We know that the CompanyCode for Kyckr is
        436024, from our company search by name API call example. In the request
        parameters, we have entered IE as the CountryISO, 436024 as the
        CompanyCode. And our API access token as the request header. 
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/LiteProfile'
          examples:
            Example:
              $ref: '#/components/examples/LiteProfile'
  schemas:
    LiteProfile:
      type: object
      properties:
        companyProfileField:
          type: object
          properties:
            activityField:
              type: array
              items:
                $ref: '#/components/schemas/Activity'
            addressesField:
              type: array
              items:
                $ref: '#/components/schemas/AddressObject'
            codeField:
              type: string
            dateField:
              type: string
            foundationDateField:
              type: string
            lastAnnualAccountDateField:
              type: string
            legalFormField:
              type: string
            legalFormDeclarationField:
              type: string
            legalStatusField:
              type: string
            normalizedLegalStatusField:
              type: string
              enum:
                - Active
                - Inactive
                - Distressed
                - Other
            nameField:
              type: string
            englishNameField:
              type: string
              description: Company name in English, if available
            aliasesField:
              type: array
              description: Alternative names e.g. business names, trading names
              items:
                type: string
                description: Alternative name
            previousNamesField:
              type: array
              description: Previous company names
              items:
                type: string
                description: Previous name
            officialField:
              type: boolean
              deprecated: true
            registrationAuthorityField:
              type: string
            registrationDateField:
              type: string
              format: date-time
            registrationNumberField:
              type: string
              description: Company registration number issued by the registrationAuthority
            registrationTypeField:
              type: string
              description: >-
                If present, indicates that the original foundational legal
                entity registration  is at another register (the source
                register).
            registrationTypeDetailsField:
              type: object
              description: >-
                Additional details in relation to the registration type, if
                registrationTypeField is set.
              properties:
                originalCodeField:
                  type: string
                  description: Non standard code for the source registry.
                originalDescriptionField:
                  type: string
                  description: Description text for the source registry.
                normalizedCodeField:
                  type: string
                  description: >-
                    ISO code for the country, province or state of the source
                    registry.
                normalizedDescriptionField:
                  type: string
                  description: Country and state description of the foreign registry.
            otherIdentifiers:
              type: array
              description: Additional identifiers with their standardized type codes
              items:
                $ref: '#/components/schemas/Identifier'
        transactionIdField:
          type: string
    Activity:
      title: Activity
      type: object
      description: >-
        Description of a company's economic activity according to
        internationally defined schemas
      properties:
        codeField:
          type: string
          description: Industry classification code
        descriptionField:
          type: string
          description: Industry classification description
        classificationSchemeField:
          type: string
          enum:
            - NACE
            - SIC
            - SIC07
            - NAICS
          description: Classification scheme, for example SIC, SIC07, NAICS, or NACE
        typeField:
          type: string
          enum:
            - Primary
            - Secondary
          description: Primary or secondary activity
    AddressObject:
      type: object
      properties:
        countryField:
          type: string
          description: Country
        lineField:
          type: array
          deprecated: true
          items:
            type: object
            deprecated: true
            properties:
              lineField:
                type: string
                deprecated: true
        typeField:
          type: string
          description: Address Type
        typeCodeField:
          type: string
          description: Address Type Code
        addressInOneLineField:
          type: string
          description: Full address concatenated in one line
        addressLine1Field:
          type: string
          description: 1st Line of Address
        addressLine2Field:
          type: string
          description: 2nd Line of Address
        addressLine3Field:
          type: string
          description: 3rd Line of Address
        addressLine4Field:
          type: string
          description: 4th Line of Address
        addressLine5Field:
          type: string
          description: 5th Line of Address
        postcodeField:
          type: string
          description: Postal Code
        cityTownField:
          type: string
          description: City or Town
        regionStateField:
          type: string
          description: Region or State
    Identifier:
      title: Identifier
      type: object
      description: A standardized identifier with its type code
      properties:
        value:
          type: string
          description: The identifier value
          example: NA0091712
        type:
          type: string
          description: The standardized type code for this identifier
  examples:
    LiteProfile:
      value:
        companyProfileField:
          activityField:
            - codeField: ''
              descriptionField: ''
          addressesField:
            - countryField: IRELAND
              lineField:
                - lineField: ''
                  typeField: ''
                  typeCodeField: ''
              addressInOneLineField: >-
                ARC LABS RESEARCH CENTER, WIT WEST CAMPUS, CARRIGANORE
                WATERFORD, CO WATERFORD, WATERFORD, IRELAND
              addressLine1Field: ARC LABS RESEARCH CENTER
              addressLine2Field: WIT WEST CAMPUS
              addressLine3Field: CARRIGANORE WATERFORD
              addressLine4Field: CO WATERFORD, WATERFORD, IRELAND
              postcodeField: ''
              cityTownField: ''
              regionStateField: ''
          codeField: '436024'
          dateField: Wed, 04 Aug 2021 10:28:23 GMT
          foundationDateField: ''
          lastAnnualAccountDateField: '2020-06-30T00:00:00Z'
          legalFormField: '1153'
          legalFormDeclarationField: LTD - Private Company Limited by Shares
          legalStatusField: 'Normal '
          nameField: KYCKR IRELAND LIMITED
          officialField: false
          registrationAuthorityField: Companies Registration Office Ireland
          registrationDateField: '2007-03-08T00:00:00Z'
        transactionIdField: '11027753'
  securitySchemes:
    apiKey:
      type: apiKey
      name: Authorization
      in: header

````